//package com.qmth.distributed.print.business.activiti;
//
//import com.qmth.distributed.print.business.entity.ExamTask;
//import com.qmth.distributed.print.business.service.ExamTaskService;
//import com.qmth.distributed.print.business.service.TExamTaskFlowService;
//import com.qmth.teachcloud.common.contant.SpringContextHolder;
//import com.qmth.teachcloud.common.contant.SystemConstant;
//import org.activiti.engine.delegate.DelegateExecution;
//import org.activiti.engine.delegate.ExecutionListener;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.transaction.annotation.Transactional;
//
//import java.util.HashMap;
//import java.util.Map;
//
///**
// * @Description: 子流程启动监听
// * @Param:
// * @return:
// * @Author: wangliang
// * @Date: 2021/11/19
// */
//public class StartApproveSubListener implements ExecutionListener {
//    private final static Logger log = LoggerFactory.getLogger(StartApproveSubListener.class);
//
//    @Override
//    @Transactional
//    public void notify(DelegateExecution delegateExecution) {
//        ExamTaskService examTaskService = SpringContextHolder.getBean(ExamTaskService.class);
//        TExamTaskFlowService tExamTaskFlowService = SpringContextHolder.getBean(TExamTaskFlowService.class);
//        ExamTask examTask = examTaskService.findByFlowId(SystemConstant.convertIdToLong(delegateExecution.getRootProcessInstanceId()));
//        Map<String, Object> texamTaskFlowMap = new HashMap<>();
//        texamTaskFlowMap.computeIfAbsent(SystemConstant.SCHOOL_ID, v -> examTask.getSchoolId());
//        texamTaskFlowMap.computeIfAbsent(SystemConstant.EXAM_TASK_ID, v -> examTask.getId());
//        texamTaskFlowMap.computeIfAbsent(SystemConstant.FLOW_ID, v -> SystemConstant.convertIdToLong(delegateExecution.getProcessInstanceId()));
//        tExamTaskFlowService.saveOrUpdate(texamTaskFlowMap);
//    }
//}